-- cane
-- Added 2011-02-13 by Thomas Holden
-- Edited 2011-02-26 by Thomas Holden
-- Creates a "white cane" that can be used for better AI

cane = class:new()

function cane:init(id, x, y, width, height)
	self.id = 1
	self.name = "cane"
	self.width = 4
	self.height = 4
	self.length = math.max(width, height)	-- the length of the cane is whichever value is greater
	self.body = love.physics.newBody(world, x - self.length + (width / 2), y + (height / 2), 1)	-- we're just to the left of our creator
	self.shape = love.physics.newCircleShape(self.body, 0, 0, 2)
	self.shape:setFriction(0)
	self.shape:setData(self)
	self.clock = 0
	print("New cane ID " .. self.id .. " created")
end 

function cane:update(dt)
	self.clock = self.clock + dt
end

function cane:draw()
	love.graphics.circle("line", self.body:getX(), self.body:getY(), 2, 16)
end

function cane:reposition(masterBody, width, direction)
	self.clock = 0
	self.body:setLinearVelocity(0,0)
	self.body:setPosition(masterBody:getX() + (width * 1.5 * direction), masterBody:getY())
end
