-- Signpost
-- Added 2010-12-13 by Thomas Holden
-- Edited 2011-04-11 by Thomas Holden
-- Creates a signpost

signpost = class:new()

function signpost:init(x, y, dialog, addWidth)
	self.id = 1
	self.name = "signpost"
	self.width = 32
	self.height = 64
	self.dialog = dialog or "..."
	self.dialogWidth = 128 + (addWidth or 0)
	self.talking = true
	self.wait = 0
	self.body = love.physics.newBody(world, x + 16, y + 32, 0)
	self.shape = love.physics.newRectangleShape(self.body, 0, 0, self.width, self.height)
	self.shape:setSensor(true)
	self.shape:setCategory(1)
	self.shape:setData(self)
	loadStaticImg("actors", "signpost")
	print("New signpost ID " .. self.id .. " created")
end 

function signpost:update(dt)
	if self.wait > 0 then
		self.wait = self.wait - dt
	end
end

function signpost:draw()
	local cullX = self.body:getX() - (self.dialogWidth / 2)
	local cullY = self.body:getY() - 96
	if testOverlap(cullX, cullY, self.dialogWidth, self.height + 64) then
		love.graphics.draw(staticImg.signpost, self.body:getX(), self.body:getY(), 0, 1, 1, (self.width / 2), (self.height / 2))
		if self.talking then
			love.graphics.printf(self.dialog, cullX, cullY, self.dialogWidth, "center")
		end
	end
end

function signpost:collide(shapeData)
	if shapeData.name == "avatar" and self.wait <= 0 and not editor.state then
		self.wait = 1	-- it takes a second for us to change our mind again
		if self.talking then
			self.talking = false
			print("Signpost ID " .. self.id .. " is no longer talking")
		else
			self.talking = true
			print("Signpost ID " .. self.id .. " is now talking")
		end
	end
end
