-- clip
-- Added 2010-12-21 by Thomas Holden
-- Edited 2011-02-28 by Thomas Holden
-- Creates a clipping rectangle to clip AI

clip = class:new()	

function clip:init(x, y, width, height, units)
	self.id = 1
	self.name = "clip"
	local multiplier = units or 32
	self.width = (width or 1) * multiplier
	self.height = (height or 1) * multiplier
	self.body = love.physics.newBody(world, x + (self.width / 2), y + (self.height / 2), 0)
	self:makeShape()
	printInit(self, x, y)
end

function clip:update(dt)
	-- nothing much
end

function clip:draw()
	if editor.state then
		local drawX = self.body:getX() - (self.width / 2)
		local drawY = self.body:getY() - (self.height / 2)
		love.graphics.rectangle("line", drawX, drawY, self.width, self.height)
	end
end

function clip:makeShape()
	if self.shape then
		self.shape:destroy()
	end
	self.shape = love.physics.newRectangleShape(self.body, 0, 0, self.width, self.height)
	self.shape:setSensor(true)
	self.shape:setCategory(4)
	self.shape:setData(self)
end

function clip:collide(shapeData)
	print(shapeData.name .. " ID " .. shapeData.id .. " hit clip ID " .. self.id)
end
