-- crate
-- Added 2010-12-26 by Thomas Holden
-- Edited 2011-03-04 by Thomas Holden
-- Creates a crate which can be moved around by the player

crate = class:new() 

function crate:init(x, y, newmass, newinertia, rotation)
	self.id = 1
	self.name = "crate"
	self.width = 48
	self.height = 48
	self.rotation = rotation or 0
	self.body = love.physics.newBody(world, x + 24, y + 24, (newmass or 1), (newinertia or 1))
	self.body:setAngle(self.rotation)
	self.shape = love.physics.newRectangleShape(self.body, 0, 0, 48, 48)
	self.shape:setCategory(4)
	self.shape:setData(self)
	loadStaticImg("world", "crate")
	printInit(self, x, y)
end

function crate:update(dt)
	-- nothing much
end

function crate:draw()
	local cullX = self.body:getX() - (self.width / 2)
	local cullY = self.body:getY() - (self.height / 2)
	if testOverlap(cullX, cullY, self.width, self.height) then
		love.graphics.draw(staticImg.crate, self.body:getX(), self.body:getY(), self.body:getAngle(), 1, 1, 24 , 24)
	end
end

function crate:collide(shapeData)
	print(shapeData.name .. " ID " .. shapeData.id .. " hit a crate ID " .. self.id)
end
