-- madeblock
-- Added 2010-11-01 by Thomas Holden
-- Edited 2011-02-26 by Thomas Holden
-- Creates a simple block left by the blockMaker

madeBlock = class:new() 

function madeBlock:init(id, x, y)
	self.id = id or 1
	self.name = "madeBlock"
	self.width = 32
	self.height = 32
	self.body = love.physics.newBody(world, x + 16, y + 16, 0)
	self.shape = love.physics.newRectangleShape(self.body, 0, 0, self.width, self.height)
	self.shape:setCategory(4)
	self.shape:setData(self)
	loadStaticImg("world", "madeblock")
end

function madeBlock:update(dt)
	-- nothing much
end

function madeBlock:draw()
	local drawX = self.body:getX() - (self.width / 2)
	local drawY = self.body:getY() - (self.height / 2)
	if testOverlap(drawX,drawY,self.width,self.height) then
		love.graphics.draw(staticImg.madeblock, drawX, drawY)
	end
end
