-- nonsolid
-- Added 2010-11-01 by Thomas Holden
-- Edited 2011-02-26 by Thomas Holden
-- Creates a nonsolid image

nonsolid = class:new()

function nonsolid:init(x, y, width, height, image, imgWidth, imgHeight)
	self.id = 1
	self.name = "nonsolid"
	self.x = x
	self.y = y
	self.width = width or 32
	self.height = height or 32
	self.imageString = image or "nonsolid"
	self.image = newPaddedImage("media/images/world/"..self.imageString..".png")
	self.imgWidth = imgWidth or 32
	self.imgHeight = imgHeight or 32
	printInit(self, x, y)
end 

function nonsolid:update(dt)
	-- nothing much
end

function nonsolid:draw()
	if testOverlap(self.x,self.y,self.width,self.height) then
		if (self.width~=self.imgWidth) or (self.height~=self.imgHeight) then
			for i=1, self.width, self.imgWidth do		-- imgWidth must fit evenly into width, or problems happen
				for j=1, self.height, self.imgHeight do	-- imgHeight must fit evenly into height, or problems happen
					love.graphics.draw(self.image, self.x + i - 1, self.y + j - 1)
				end
			end
		else
			love.graphics.draw(self.image, self.x, self.y)
		end
	end
end
