-- ramp
-- Added 2010-11-20 by Thomas Holden
-- Edited 2011-04-15 by Thomas Holden
-- Creates a ramp block

ramp = class:new() 

function ramp:init(x, y, width, height, units, direction, visible)
	self.id = 1
	self.name = "ramp"
	self.x = x
	self.y = y
	local multiplier = units or 32
	self.width = (width or 1) * multiplier
	self.height = (height or 1) * multiplier
	self.direction = direction or 1
	self.visible = visible ~= false
	self.body = love.physics.newBody(world, x, y, 0)	-- we don't offset 1/2 because we make the shape starting at the corner
	self:makeShape()
	self.imageSize = makeImage(self.width, self.height, self.name)
	printInit(self, x, y)
end

function ramp:update(dt)
	-- nothing much
end

function ramp:draw()
	if self.visible or editLens then
		if testOverlap(self.x, self.y, self.width, self.height) then
			local offsetX = 0
			if self.direction < 0 then
				offsetX = self.width 
			end
			love.graphics.draw(generatedImg.ramp[self.imageSize], self.x, self.y, 0, self.direction, 1, offsetX, 0)
		end
	end
end

function ramp:makeShape()
	if self.shape then
		self.shape:destroy()
	end
	if self.direction == 1 then
		self.shape = love.physics.newPolygonShape(self.body, 0,0, self.width,self.height, 0,self.height)
	else
		self.shape = love.physics.newPolygonShape(self.body, self.width,0, self.width,self.height, 0,self.height)
	end
	self.shape:setCategory(4)
	self.shape:setData(self)
	print("Ramp shape completed")
end
