-- solidblock
-- Added 2010-11-01 by Thomas Holden
-- Edited 2011-02-28 by Thomas Holden
-- Creates a rectangle of blocks

solidBlock = class:new() 

function solidBlock:init(x, y, width, height, units, visible)
	self.id = 1
	self.name = "solidBlock"
	local multiplier = units or 32
	self.width = (width or 1) * multiplier
	self.height = (height or 1) * multiplier
	self.visible = visible ~= false
	self.body = love.physics.newBody(world, x + (self.width / 2), y + (self.height / 2), 0)
	self:makeShape()
	loadStaticImg("world", "block")
	printInit(self, x, y)
end

function solidBlock:update(dt)
	-- not much
end

function solidBlock:draw()
	if self.visible or editLens then
		local drawX = self.body:getX() - (self.width / 2)
		local drawY = self.body:getY() - (self.height / 2)
		if testOverlap(drawX,drawY,self.width,self.height) then
			for i=1, self.width, 32 do
				for j=1, self.height, 32 do
					love.graphics.draw(staticImg.block, drawX + i - 1, drawY + j - 1)
				end
			end
		end
	end
end

function solidBlock:makeShape()
	if self.shape then
		self.shape:destroy()
	end
	self.shape = love.physics.newRectangleShape(self.body, 0, 0, self.width, self.height)
	self.shape:setCategory(4)
	self.shape:setData(self)
	print("SolidBlock shape completed")
end
