-- spikes
-- Added 2011-01-17 by Thomas Holden
-- Edited 2011-02-28 by Thomas Holden
-- Creates spikes that can hurt the player

spikes = class:new() 

function spikes:init(x, y, width, height, units, angle, strength)
	self.id = 1
	self.name = "spikes"
	local multiplier = units or 32
	self.width = (width or 1) * multiplier
	self.height = (height or 1) * multiplier
	self.angle = angle or 0
	self.strength = strength or 1
	self.body = love.physics.newBody(world, x + (self.width / 2), y + (self.height / 2), 0)
	self:makeShape()
	loadStaticImg("world", "spikes")
	printInit(self, x, y)
end

function spikes:update(dt)
	-- nothing much
end

function spikes:draw()
	local drawX = self.body:getX() - (self.width / 2)
	local drawY = self.body:getY() - (self.height / 2)
	if testOverlap(drawX, drawY, self.width, self.height) then
		drawX = drawX + 16
		drawY = drawY + 16
		for i=1, self.width, 32 do
			for j=1, self.height, 32 do
				love.graphics.draw(staticImg.spikes, drawX + i - 1, drawY + j - 1, math.rad(self.angle), 1, 1, 16, 16)
			end
		end
	end
end

function spikes:collide(shapeData)
	shapeData:setHealth(-self.strength)
	print("Spikes did " .. self.strength .. " damage to " .. shapeData.name)
end

function spikes:makeShape()
	if self.shape then
		self.shape:destroy()
	end
	self.shape = love.physics.newRectangleShape(self.body, 0, 0, self.width, self.height)
	self.shape:setCategory(4)
	self.shape:setData(self)
	print("SolidBlock shape completed")
end
