-- terrain
-- Added 2010-11-01 by Thomas Holden
-- Edited 2011-04-15 by Thomas Holden
-- Creates a terrain rectangle

terrain = class:new()	

function terrain:init(x, y, width, height, units, visible)
	self.id = 1
	self.name = "terrain"
	local multiplier = units or 32
	self.width = (width or 2) * multiplier
	self.height = (height or 2) * multiplier
	self.visible = visible ~= false
	self.body = love.physics.newBody(world, x + (self.width / 2), y + (self.height / 2), 0)
	self:makeShape()
	self.imageSize = makeImage(self.width, self.height, self.name)
	printInit(self, x, y)
end

function terrain:update(dt)
	-- not much
end

function terrain:draw()
	if self.visible or editLens then
		local drawX = self.body:getX() - (self.width / 2)
		local drawY = self.body:getY() - (self.height / 2)
		if testOverlap(drawX,drawY,self.width,self.height) then
			love.graphics.draw(generatedImg.terrain[self.imageSize], drawX, drawY)
		end
	end
end

function terrain:makeShape()
	if self.shape then
		self.shape:destroy()
	end
	self.shape = love.physics.newRectangleShape(self.body, 0, 0, self.width, self.height)
	self.shape:setCategory(4)
	self.shape:setData(self)
	print("Terrain shape completed")
end
