-- wellspring
-- Added 2011-01-21 by Thomas Holden
-- Edited 2011-02-26 by Thomas Holden
-- Creates a wellspring

wellspring = class:new()	

function wellspring:init(x, y, speed)
	self.id = 1
	self.name = "wellspring"
	self.width = 64
	self.height = 64
	self.delta = 0
	self.speed = speed or 60
	self.body = love.physics.newBody(world, x + (self.width / 2), y + (self.height / 2), 0)
	self.shape = love.physics.newRectangleShape(self.body, 0, 0, self.width, self.height)
	self.shape:setSensor(true)
	self.shape:setCategory(4)
	self.shape:setData(self)
	loadStaticImg("world", "wellspring")
	printInit(self, x, y)
end

function wellspring:update(dt)
	self.delta = dt
end

function wellspring:draw()
	local drawX = self.body:getX() - (self.width / 2)
	local drawY = self.body:getY() - (self.height / 2)
	if testOverlap(drawX,drawY,self.width,self.height) then
		love.graphics.draw(staticImg.wellspring, drawX, drawY)
	end
end

function wellspring:persist(shapeData)
	if shapeData.name == "avatar" and not editor.state and (gamemode == "capture" or gamemode == "team_capture") then
		if players[shapeData.id].bucket < 100 then
			-- note: we still lose 5 per second, so we aren't filling up as fast as you'd think
			players[shapeData.id].bucket = players[shapeData.id].bucket + (self.delta * self.speed)	
			if players[shapeData.id].bucket > 100 then
				players[shapeData.id].bucket = 100
				ent.actor.companion[shapeData.id].bucket_flash = 3
				print("Bucket at max")
			end
		end
	end
end
