-- charge
-- Added 2010-11-11 by Thomas Holden
-- Edited 2011-03-04 by Thomas Holden
-- Creates a charge item

charge = class:new() 

function charge:init(x, y, category)
	self.id = 1
	self.name = "charge"
	self.width = 16
	self.height = 16
	self.live = true
	self.angle = 0
	self.category = category or "health"
	self.body = love.physics.newBody(world, x + 8, y + 8, 0)
	self.shape = love.physics.newRectangleShape(self.body, 0, 0, self.width, self.height)
	self.shape:setSensor(true)
	self.shape:setCategory(3)
	self.shape:setData(self)
	loadStaticImg("pickups", "charge_"..self.category)
	printInit(self, x, y)
end

function charge:update(dt)
	if self.live then
		self.angle = rotateImage(self.angle, dt)
	end
end

function charge:draw()
	if self.live then
		local cullX = self.body:getX() - (self.width / 2)
		local cullY = self.body:getY() - (self.height / 2)
		if testOverlap(cullX, cullY, self.width, self.height) then
			-- charge imgs are 2x size, to make jaggies less visible
			love.graphics.draw(staticImg["charge_"..self.category], self.body:getX(), self.body:getY(), math.rad(self.angle), .5, .5, self.width, self.height)
		end
	end
end

function charge:collide(shapeData)
	if shapeData.name == "avatar" and self.live and not editor.state then
		if self.category == "health" then
			players[shapeData.id]:setHealth(1, self)
		else
			print("I don't know what to do here.")
		end
		self.live = false
		physicsRemoval(self)
		sfx:play("pickup")
		print("Charge " .. self.id .. " collected by player " .. shapeData.id)
	end
end
