-- end of level (eol)
-- Added 2010-11-01 by Thomas Holden
-- Edited 2011-03-01 by Thomas Holden
-- The entity which will end the level upon contact

eol = class:new()

function eol:init(x, y, target)
	self.id = 1
	self.name = "eol"
	self.width = 32
	self.height = 32
	self.hit = false
	self.target = target or "level_1"
	self.alpha = 250
	self.alpha_change = -128
	self.body = love.physics.newBody(world, x + 16, y + 16, 0)
	self.shape = love.physics.newRectangleShape(self.body, 0, 0, self.width, self.height)
	self.shape:setSensor(true)
	self.shape:setCategory(3)
	self.shape:setData(self)
	loadStaticImg("pickups", "eol")
	printInit(self, x, y)
end

function eol:update(dt)
	if not self.hit then
		self.alpha, self.alpha_change = pulsateAlpha(self.alpha, self.alpha_change, dt)
	else
		if fader.finished then
			scene = game:new()
		end
	end
end

function eol:draw()
	if not self.hit then
		local drawX = self.body:getX() - (self.width / 2)
		local drawY = self.body:getY() - (self.height / 2)
		if testOverlap(drawX, drawY, self.width, self.height) then
			love.graphics.setColor(255, 255, 255, self.alpha)
			love.graphics.draw(staticImg.eol, drawX, drawY, 0, 1, 1, 16, 16)	-- eol img has 16px of padding
			setDefaultColor()
		end
	end
end

function eol:collide(shapeData)
	if shapeData.name == "avatar" and self.body and not editor.state then
		currentLevel = self.target
		scene.ending = true
		self.hit = true
		fader:start(0, 128)
		physicsRemoval(self)
		sfx:play("upgrade")
		print("End of Level " .. self.id .. " reached by player " .. shapeData.id)
	end
end
