-- unlock
-- Added 2010-11-12 by Thomas Holden
-- Edited 2011-04-16 by Thomas Holden
-- Creates an unlock item

unlock = class:new() 

function unlock:init(x, y, category, value)
	self.id = 1
	self.name = "unlock"
	self.width = 48
	self.height = 48
	self.category = category or "lightning"
	self.value = value or 1
	self.live = true
	self.alpha = 255
	self.alpha_change = -128
	self.body = love.physics.newBody(world, x + 24, y + 24, 0)
	self.shape = love.physics.newRectangleShape(self.body, 0, 0, 48, 48)	-- note: shape is 16px smaller than sprite
	self.shape:setSensor(true)
	self.shape:setCategory(3)
	self.shape:setData(self)
	loadStaticImg("pickups", "unlock_"..self.category)
	printInit(self, x, y)
end

function unlock:update(dt)
	if self.live then
		self.alpha, self.alpha_change = pulsateAlpha(self.alpha, self.alpha_change, dt)
	end
end

function unlock:draw()
	if self.live then
		local drawX = self.body:getX() - (self.width / 2)
		local drawY = self.body:getY() - (self.height / 2)
		if testOverlap(drawX,drawY,self.width,self.height) then
			love.graphics.setColor(255, 255, 255, self.alpha)
			love.graphics.draw(staticImg["unlock_"..self.category], drawX, drawY, 0, 1, 1, 8, 8)	-- unlock imgs have 8px of padding
			setDefaultColor()
		end
	end
end

function unlock:collide(shapeData)
	if shapeData.name == "avatar" and self.live and not editor.state then
		if self.category == "jump" then		-- jumps in an odd subtable
			players[shapeData.id].max[self.category] = self.value
		else
			players[shapeData.id].moves[self.category].power = self.value
		end
		self.live = false
		physicsRemoval(self)
		sfx:play("pickup")
		print(self.category .. " unlocked for player " .. shapeData.id .. " by unlock " .. self.id)
	end
end
