-- Level 1 "Tutorial"
-- Added 2010-11-11 by Thomas Holden
-- Edited 2011-04-11 by Thomas Holden
-- Creates Level 1

levelversion = 110411
killdepth = 1600
song = "level1"

-- home (x, y, targets, visible)
ent.sensor.home = {
	home:new(128, 512)
}

-- boss (x, y, width, height, species, {speed, strength, health}, drop, buoyancy, frames, frames per second)
ent.actor.boss = {
	boss:new(6400, 360, "boss", 256, 128, {16, 2, 6}, "will", 240, 4, .25)
}

-- baddie (x, y, width, height, species, {speed, strength, health}, drop, buoyancy, frames, frames per second)
ent.actor.baddie = {
	baddie:new(4352, 544, 64, 32, "cruncher", {0, 2, 2}, "attack", 240, 4, .25),
	baddie:new(4864, 544, 64, 32, "spider", {30, 1, 2}, "cooldown", 240, 2, .35)
}

-- floater (x, y, speed, resolve)
ent.actor.floater = {
	floater:new(256, 256, 32, 64, 6),
	floater:new(320, 280, 24, 64, 8)
}

-- npc (x, y, dialog, speed, range)
ent.actor.npc = {
	npc:new(1280, 512, "Press the attack button to make a dialog choice.", {{"Ok.", "I refuse."}, {[[dialog.state=false]], [[dialog.state=false]]}}, 8, 128)
}

-- signpost (x, y, dialog, added dialog width)
ent.actor.signpost = {
	signpost:new(512, 512, "Use the arrow keys to move.", 0),
	signpost:new(1024, 512, "Talk to strangers!", 0),
	signpost:new(1536, 512, "Some kinds of terrain are breakable.", 0),
	signpost:new(2048, 512, "Other types are permeable. Tricky!", 0),
	signpost:new(2560, 512, "Hit this block to create some new terrain.", 128),
	signpost:new(3040, 512, "Hit ESC to see options, stats, and other stuff.", 64),
	signpost:new(3360, 224, "It is possible to wall jump (hit up while touching a wall).", 64),
	signpost:new(3584, 512, "Some tokens unlock abilities, like new attacks.", 64),
	signpost:new(4096, 512, "Enemies can be killed by being shocked (CTRL).", 128),
	signpost:new(4096, 352, "Hit Left Shift to change weapons (you can see your weapon on the stats page).", 128),
	signpost:new(4608, 512, "Enemies can also be killed by being stomped.", 128),
	signpost:new(5120, 512, "Each level has a token which will end it.", 64)
}

-- terrain (x, y, width, height, units, visible)
ent.geometry.terrain = {
	terrain:new(-128, 0, 5, 18),
	terrain:new(-128, 576, 36, 8),
	terrain:new(1024, 576, 64, 8),
	terrain:new(3072, 576, 64, 8),
	terrain:new(5120, 576, 64, 8)
}

-- ramp (x, y, width, height, units, direction (1 is right, -1 is left), visible)
ent.geometry.ramp = {
	ramp:new(4736, 544, 1, 1, 32, -1),
	ramp:new(4992, 544, 1, 1, 32, 1)
}

-- solid blocks (x, y, width, height, units, visible)
ent.geometry.solidBlock = {
	solidBlock:new(3360, 288, 2, 6),
	solidBlock:new(4064, 416, 3, 1),
}

-- nonsolid image (x, y, width, height, alternate image, image width, image height)
ent.geometry.nonsolid = {
	nonsolid:new(2304, 380, 32, 192)
}

-- crate (x, y, mass, inertia, starting rotation (in radians))
ent.geometry.crate = {
	--crate:new(512, 256, 1, 1, 2),
	--crate:new(540, 128, 64, 0, 0)
}

-- platform (x, y, goal x, goal y, speed, mode)
ent.geometry.platform = {
	--platform:new(256, 256, 512, 512, 16, "switch"),
	--platform:new(512, 320, 1024, 320, 16, "repeat"),
	--platform:new(768, 320, 768, 480, 16, "switch")
}

-- breakable blocks (x, y)
for i=1, 8 do
	ent.geometry.breakable[#ent.geometry.breakable + 1] = breakable:new((i * 32) + 1664, 448)
end

-- blockmaker (x, y, change in x, change in y, interval, max blocks)
ent.geometry.blockMaker = {
	blockMaker:new(2688, 448, 64, 0, 32, 6)
}

-- spikes (x, y, width, height, units, angle (in degrees), strength)
ent.geometry.spikes = {
	--spikes:new(768, 448, 2, 3, 32, 90, 1)
}

-- spring (x, y, x force, y force)
ent.sensor.spring = {
	spring:new(800, 544, 0, -64)
}

-- teleport (x, y, x destination, y destination, momentum, visible)
ent.sensor.teleport = {
	--teleport:new(5376, 512, 128, 480, 0, true)
}

-- pickup (category, x, y)
for i=1, 4 do
	ent.sensor.pickup[#ent.sensor.pickup + 1] = pickup:new((i * 32) + 1726, 384, "cooldown")
	ent.sensor.pickup[#ent.sensor.pickup + 1] = pickup:new((i * 32) + 2688, 384, "jumps")
	ent.sensor.pickup[#ent.sensor.pickup + 1] = pickup:new(3200, (i * 32) + 256, "will")
end

-- charge (category, x, y)
for i=1, 4 do
	ent.sensor.charge[#ent.sensor.charge + 1] = charge:new((i * 32) + 1216, 528, "health")
end

-- unlock (category, x, y, value)
ent.sensor.unlock = {
	unlock:new(3840, 512, "lightning", 1)
}

-- end of level (x, y, where to)
ent.sensor.eol = {
	eol:new(5376, 384, "level_2")
}
