-- Level 2 "Programmers are the Hands of an Angry God"
-- Added 2010-11-01 by Thomas Holden
-- Edited 2011-02-26 by Thomas Holden
-- Creates Level 2

levelversion = 110226
killdepth = 1600
song = "level2"

-- home (x, y, targets, visible)
ent.sensor.home = {
	home:new(128, 512),
	home:new(2048, 416, {false, false, false, false})
}

-- baddies (x, y, width, height, species, {speed, strength, health}, drop, buoyancy, frames, frames per second)
ent.actor.baddie = {
	baddie:new(672, 480, 32, 32, "snail", {10, 1, 1}, "will", 240),
	baddie:new(928, 288, 32, 32, "baddie", {30, 1, 1}, "attack", 240),
	baddie:new(1504, 384, 64, 32, "spider", {30, 1, 2}, "health", 240),
	baddie:new(2176, 416, 64, 32, "cruncher", {0, 2, 2}, "jumps", 240, 4, .25)
}

-- signposts (x, y, dialog, added dialog width)
ent.actor.signpost = {
	signpost:new(384, 512, "Watch out for pits!", 0)
}

-- terrain (x, y, width, height, units, visible)
ent.geometry.terrain = {
	terrain:new(-128, -32, 14, 11),
	terrain:new(-128, 320, 5, 8),
	terrain:new(-128, 576, 18, 11),
	terrain:new(320, 128, 10, 2),
	terrain:new(576, 512, 14, 13),
	terrain:new(1152, 576, 14, 21),
	terrain:new(1728, 256, 10, 4),
	terrain:new(1728, 480, 20, 16),
	terrain:new(2368, 608, 16, 13),
	terrain:new(2560, -32, 4, 8),
	terrain:new(2880, 480, 4, 16)
}

--water (x, y, width, height, units, visible)
ent.geometry.water = {
	water:new(2368, 512, 16, 3)
}

-- solid blocks (x, y, width, height, units, visible)
ent.geometry.solidBlock = {
	solidBlock:new(768, 256, 4, 1)
}

-- nonsolid image (x, y, width, height, alternate image, image width, image height)
ent.geometry.nonsolid = {
	nonsolid:new(288, 320, 32, 256)
}

-- breakable blocks (x, y, width, height, units, visible)
for i=1, 8 do
	ent.geometry.breakable[#ent.geometry.breakable + 1] = breakable:new((i * 32) + 672, 384)
	ent.geometry.breakable[#ent.geometry.breakable + 1] = breakable:new((i * 32) + 1312, 448)
end

-- blockmaker (x, y, change in x, change in y, interval, max blocks)
ent.geometry.blockMaker = {
	blockMaker:new(1024, 192, 64, 0, 32, 48)
}

-- clip (x, y, width, height, units)
ent.geometry.clip = {
	--clip:new(576, 480, 1, 1, 32),
	--clip:new(1024, 480, 1, 1, 32)
}

-- pickup (category, x, y)
for i=1, 4 do
	ent.sensor.pickup[#ent.sensor.pickup + 1] = pickup:new((i * 32) + 736, 288, "will")
	ent.sensor.pickup[#ent.sensor.pickup + 1] = pickup:new((i * 32) + 2400, 352, "jumps")
end
for i=1, 2 do
	ent.sensor.pickup[#ent.sensor.pickup + 1] = pickup:new((i * 32) + 1800, 128, "health")
	ent.sensor.pickup[#ent.sensor.pickup + 1] = pickup:new( (i * 32) + 1312, 352, "attack")
end

-- charge (category, x, y)
for i=1, 4 do
	ent.sensor.charge[#ent.sensor.charge + 1] = charge:new((i * 32) + 480, 64, "health")
end

-- end of level (x, y, where to)
ent.sensor.eol = {
	eol:new(2922, 352, "level_1")
}
