-- Intro
-- Added 2010-11-01 by Thomas Holden
-- Edited 2011-04-15 by Thomas Holden
-- Loads in some key files and shows the logos of creative parties

intro = class:new()

function intro:init()
	currentScene = "intro"
	require "subclass/startup.lua"	-- start up various objects
	require "scenes/menu.lua"
	-- fade in from black
	fader:start(255, -128)
	-- load theme music
	music:play("theme")
	-- some scene specific variables
	self.timecount = 0
	self.slide = 1
	self.graphics = {
		{	-- overmountain studios logo
			x = screen.halfWidth - 256,
			y = screen.halfHeight - 128,
			img = newPaddedImage("media/images/logos/overmountain_logo.png"),
			txt = "Created by"
		},
		{	-- love logo
			x = screen.halfWidth - 256,
			y = screen.halfHeight - 128,
			img = newPaddedImage("media/images/logos/love_logo.png"),
			txt = "Powered by"
		}
	}
	print("Intro scene initiated")
end

function intro:update(dt)
	fader:update(dt)
	if self.timecount >= 6 and fader.increment < 0 then
		fader:start(0, 128) -- fade out to black
	elseif self.timecount >= 10 then
		self:proceed()
	end
	self.timecount = self.timecount + dt
end

function intro:draw()
	love.graphics.draw(self.graphics[self.slide].img, self.graphics[self.slide].x, self.graphics[self.slide].y)
	love.graphics.printf(self.graphics[self.slide].txt, 0, self.graphics[self.slide].y, screen.width, "center")
	fader:draw()
end

function intro:keypressed(key, unicode)
	-- we don't care which key was pressed, just skip to next logo
	self:proceed()
end

function intro:joystickpressed(stick, button)
	self:keypressed("j"..stick.."_b"..button)
end

function intro:proceed()
	if self.slide < 2 then	-- easy to alter if we ever add more logos
		self.slide = self.slide + 1
		self.timecount = 0
		fader:start(255, -128)
	else 
		scene = menu:new()
	end
end