-- Menu
-- Added 2010-11-01 by Thomas Holden
-- Edited 2011-02-27 by Thomas Holden
-- Creates and governs the main menu (largely legacy)

menu = class:new()

function menu:init()
	currentScene = "menu"
	require "scenes/select.lua"
	require "scenes/howto.lua"
	-- fade in from black
	fader:start(255, -128)
	menuList:reposition((screen.halfWidth - 32), screen.halfHeight)
	menuList.bg = false
	loadStaticImg("logos", "kurosuke_logo")
	print("Menu scene initiated")
end

function menu:update(dt)
	joystick:update(dt)
	menuList:update(dt)
	fader:update(dt)
end

function menu:draw()
	setDefaultColor()	-- make sure we're set to white
	love.graphics.draw(staticImg.kurosuke_logo, screen.halfWidth - 256, 64)
	menuList:draw()
	fader:draw()
	if showFPS then
		love.graphics.print(love.timer.getFPS(), screen.width - 32, screen.height - 24)
	end
end

function menu:keypressed(key, unicode)
	menuList:keypressed(key, unicode)
end

function menu:joystickpressed(stick, button)
	self:keypressed("j"..stick.."_b"..button)
end
