-- Dialog
-- Added 2011-01-19 by Thomas Holden
-- Edited 2011-02-26 by Thomas Holden
-- Lets the players converse with NPCs

dialog = class:new()

function dialog:init()
	self.state = false
	self.text = ""
	self.size = 64
	self.responses = {
		text = {},
		commands = {},
		selected = 1
	}
end

function dialog:update(dt)
	-- not much
end

function dialog:draw()
	love.graphics.setColor(0, 0, 0, 192)
	local drawY = screen.height - self.size
	love.graphics.rectangle("fill", 0, drawY, screen.width, self.size)
	setDefaultColor()
	love.graphics.printf(self.text, 16, drawY + 16, screen.width - 32, "left")
	for i=1, #self.responses.text do
		local text = "   "
		if i == self.responses.selected then
			text = " > "
		end
		text = text .. self.responses.text[i]
		love.graphics.printf(text, 16, drawY + 16 + (i * 24), screen.width - 32, "left")
	end
end

function dialog:keypressed(key, unicode)
	local playerNum, keyNum = checkBindings(key)
	if keyNum == 1 then		-- usually up key
		if self.responses.selected > 1 then
			self.responses.selected = self.responses.selected - 1
		else
			self.responses.selected = #self.responses.text
		end
	elseif keyNum == 2 then	-- usually down
		if self.responses.selected < #self.responses.text then
			self.responses.selected = self.responses.selected + 1
		else
			self.responses.selected = 1
		end
	elseif keyNum == 6 or keyNum == 7 then
		self.state = false
	elseif keyNum == 5 or key == "return" then
		--self.responses.selected = 2
		local commands = loadstring(self.responses.commands[self.responses.selected])
		commands()
	end
end

function dialog:setText(text, newsize)
	self.state = true
	self.text = text or "..."
	self.size = newsize or 64
end

function dialog:setResponses(incoming)
	print("Setting dialog")
	incoming = incoming or {{"Clear"}, {[[dialog.state=false]]}}
	self.responses.selected = 1
	self.responses.text = {}
	self.responses.commands = {}
	for i=1, #incoming[1] do
		self.responses.text[i] = incoming[1][i]
		self.responses.commands[i] = incoming[2][i]
	end
end
