-- fader
-- Added 2010-11-04 by Thomas Holden
-- Edited 2011-02-27 by Thomas Holden
-- fades in/out from/to a color, usually black

fader = class:new()

function fader:init()
	self.increment = 0
	self.finished = false
	self.color = {
		r = 0,
		g = 0,
		b = 0,
		a = 0
	}
	self.temp = {
		r = 0,
		g = 0,
		b = 0,
		a = 0
	}
	print("Fader created")
end 

function fader:update(dt)
	if not self.finished then
		self.color.a = self.color.a + (self.increment * dt)
		-- test if we're done and also make sure we don't overshoot our goal alpha
		if self.increment < 0 and self.color.a <= 0 then
			self.color.a = 0
			self.finished = true
			self:changeColor(0, 0, 0)		-- reset to black after finishing
		elseif self.increment > 0 and self.color.a >= 255 then
			self.color.a = 255
			self.finished = true
			self:changeColor(0, 0, 0)		-- reset to black after finishing
		end
	end
end

function fader:draw()
	if self.color.a ~= 0 then
		self.temp.r, self.temp.g, self.temp.b, self.temp.a = love.graphics.getColor()
		love.graphics.setColor(self.color.r, self.color.g, self.color.b, self.color.a)
		love.graphics.rectangle("fill", 0, 0, screen.width, screen.height)
		love.graphics.setColor(self.temp.r, self.temp.g, self.temp.b, self.temp.a)
	end
end

function fader:start(alpha, increment)
	print("Starting fader")
	self.color.a = alpha or 255
	self.increment = increment or -128
	self.finished = false
end

function fader:changeColor(r, g, b)
	self.color.r = r or 0
	self.color.g = g or 0
	self.color.b = b or 0
end
