-- joystick
-- Added 2011-02-24 by Thomas Holden
-- Edited 2011-02-28 by Thomas Holden
-- Manages joysticks (almost exclusively for hat management)

joystick = class:new() 

function joystick:init()
	self.pressed = {}
	self.password = 1
	print("Joystick class initiated")
end

function joystick:update(dt)
	self.password = (self.password % 2) + 1		-- change the password each update, for use in cleaning
	for j=0, love.joystick.getNumJoysticks() do
		for h=0, love.joystick.getNumHats(j) do
			local direction = love.joystick.getHat(j, h)
			if direction ~= "" and direction ~= "c" then
				local key = "j"..j.."_h"..h.."_d"..direction
				self:check(key)
			end
		end
		for a=0, love.joystick.getNumAxes(j) do
			local direction = love.joystick.getAxis(j, a)
			if direction > .5 or direction < -.5 then
				direction = round(direction)	-- to keep it even between sticks and buttons
				local key = "j"..j.."_a"..a.."_d"..direction
				self:check(key)
			end
		end
	end
	for key, value in pairs(self.pressed) do		-- clean out hats that aren't being pressed any more
		if self.pressed[key] ~= self.password then
			self.pressed[key] = nil
		end
	end
end

function joystick:draw()
	-- unused
end

function joystick:check(key)
	if self.pressed[key] == nil then
		scene:keypressed(key)
	end
	self.pressed[key] = self.password
end
