-- Menu Pointer
-- Added 2010-11-08 by Thomas Holden
-- Edited 2011-04-15 by Thomas Holden
-- creates and moves a pointer back and forth

menuPointer = class:new()

function menuPointer:init(x, y, xspeed, distance)
	self.x = x or 0
	self.y = y or 0
	self.xChange = 0
	self.yChange = 32
	self.xspeed = xspeed or 24
	self.distance = -(distance or 24)
	self.image = newPaddedImage("media/images/gui/menupointer.png")
	print("MenuPointer created")
end 

function menuPointer:update(dt)
	-- Pointer motion
	self.xChange = self.xChange + (self.xspeed * dt)
	if self.xChange <= self.distance then
		self.xChange = self.distance
		self.xspeed = -self.xspeed
	elseif self.xChange >= 0 then
		self.xChange = 0
		self.xspeed = -self.xspeed
	end
end

function menuPointer:draw()
	setDefaultColor()
	love.graphics.draw(self.image, self.x + self.xChange, self.y + self.yChange)
end
