-- Music
-- Added 2010-11-02 by Thomas Holden
-- Edited 2011-02-28 by Thomas Holden
-- Loads and plays the appropriate music

music = class:new() 

function music:init()
	local list = {
		"theme", "level1", "level2"
	}
	for i=1, #list do
		self[list[i]] = love.audio.newSource("media/music/" .. list[i] .. ".ogg", "stream")
	end
	self.playing = "theme"
	self:changeVolume(0)	-- check for invalids
	print("Music created")
end

function music:play(song)
	print("Playing song " .. song)
	self.playing = song
	love.audio.stop(self[song])
	love.audio.play(self[song])
	self[song]:setLooping(true)
	self[song]:setVolume(volume.music)
end

function music:stop()
	love.audio.stop()
end

function music:changeVolume(number)
	volume.music = volume.music + number
	if volume.music > 1 then		-- catch invalids
		volume.music = 1
	elseif volume.music < 0 then
		volume.music = 0
	end
	self[self.playing]:setVolume(volume.music)
end