-- Sound Effects
-- Added 2010-11-01 by Thomas Holden
-- Edited 2011-02-28 by Thomas Holden
-- Loads and plays the appropriate sound effects

sfx = class:new() 

function sfx:init()
	local list = {
		"confirm", "back", "crunch", "death", "jump", "lightning", "pickup", "stomp", "upgrade"
	}
	for i=1, #list do
		self[list[i]] = love.audio.newSource("media/sfx/" .. list[i] .. ".ogg", "static")
	end
	self:changeVolume(0)	-- check for invalids
	print("Sound Effects created")
end

function sfx:play(sound)
	print("Playing " .. sound .. " sound effect")
	love.audio.stop(self[sound])
	love.audio.play(self[sound])
	self[sound]:setVolume(volume.sfx)
end

function sfx:changeVolume(number)
	volume.sfx = volume.sfx + number
	if volume.sfx > 1 then
		volume.sfx = 1
	elseif volume.sfx < 0 then
		volume.sfx = 0
	end
end